org.eclipse.team.core.diff

## Interface IDiffChangeEvent

    public interface IDiffChangeEvent

A change event that describes changes that have occurred in an `IDiffTree`.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IDiff[]` `getAdditions()` Returns the delta nodes that have been added to the delta tree.
`IDiff[]` `getChanges()` Return the delta nodes contained in the delta tree that have changed in some way.
`IStatus[]` `getErrors()` Return any errors that occurred while this change was taking place.
`IPath[]` `getRemovals()` Return the paths of the delta nodes that have been removed from the delta tree.
`IDiffTree` `getTree()` Returns the tree that has been changed.

### Method Detail

#### getTree

    IDiffTree getTree()

Returns the tree that has been changed.

Returns:
  the tree that has been changed.

#### getAdditions

    IDiff[] getAdditions()

Returns the delta nodes that have been added to the delta tree.

Returns:
  the delta nodes that have been added to the delta tree

#### getRemovals

    IPath[] getRemovals()

Return the paths of the delta nodes that have been removed from the delta tree.

Returns:
  the paths of the delta nodes that have been removed from the delta tree

#### getChanges

    IDiff[] getChanges()

Return the delta nodes contained in the delta tree that have changed in some way.

Returns:
  the delta nodes contained in the delta tree that have changed

#### getErrors

    IStatus[] getErrors()

Return any errors that occurred while this change was taking place.

Returns:
  any errors that occurred while this change was taking place